aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJakub Jirutka <jakub@jirutka.cz>2016-09-03 00:19:21 +0200
committerJakub Jirutka <jakub@jirutka.cz>2016-09-03 00:22:00 +0200
commit340b7c392898da2f1791bca617295f08201eb129 (patch)
treeb97d86505d664d6c6ae9132846355ad162b37324
parente4aadd3ff0f3ce45b88ccbc130fbae92d7535268 (diff)
downloadaports-340b7c392898da2f1791bca617295f08201eb129.tar.gz
aports-340b7c392898da2f1791bca617295f08201eb129.tar.bz2
aports-340b7c392898da2f1791bca617295f08201eb129.tar.xz
testing/lua-copas: new aport
http://keplerproject.github.io/copas/ Coroutine Oriented Portable Asynchronous Services for Lua
-rw-r--r--testing/lua-copas/APKBUILD41
1 files changed, 41 insertions, 0 deletions
diff --git a/testing/lua-copas/APKBUILD b/testing/lua-copas/APKBUILD
new file mode 100644
index 0000000000..06f00b611b
--- /dev/null
+++ b/testing/lua-copas/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Jakub Jirutka <jakub@jirutka.cz>
+# Maintainer: Jakub Jirutka <jakub@jirutka.cz>
+pkgname=lua-copas
+_pkgname=copas
+pkgver=2.0.1
+_pkgver=${pkgver//./_}
+pkgrel=0
+pkgdesc="Coroutine Oriented Portable Asynchronous Services for Lua"
+url="http://keplerproject.github.io/copas/"
+arch="noarch"
+license="MIT"
+depends=""
+makedepends=""
+subpackages=""
+source="$pkgname-$pkgver.tar.gz::https://github.com/keplerproject/$_pkgname/archive/v$_pkgver.tar.gz"
+builddir="$srcdir/$_pkgname-$_pkgver"
+
+_luaversions="5.1 5.2 5.3"
+for _v in $_luaversions; do
+ makedepends="$makedepends lua$_v-dev"
+ subpackages="$subpackages lua$_v-$_pkgname:_package"
+done
+
+package() {
+ mkdir -p "$pkgdir"
+}
+
+_package() {
+ local lver="${subpkgname:3:3}"
+ pkgdesc="$pkgdesc $lver"
+ depends="lua$lver lua$lver-socket"
+ [ "$lver" = 5.1 ] && depends="$depends lua5.1-coxpcall"
+ install_if="lua$lver $pkgname=$pkgver-r$pkgrel"
+
+ cd "$builddir"
+ make LUA_DIR="$subpkgdir/usr/share/lua/$lver" install || return 1
+}
+
+md5sums="4359935d359f8dd2671f72199901f582 lua-copas-2.0.1.tar.gz"
+sha256sums="15d8608e5c736dfce6b8c1f5a8ed2f834b227fc4a9a3360edc4b497e12f816fa lua-copas-2.0.1.tar.gz"
+sha512sums="3bc472c056beab4c2cf8c1733ca2b1e7fcce9866b89dc738060263456b6fe7521956cf6ca614276f99fdf42d278422dbbb0ef42f11f211c16632f04cb518ecc5 lua-copas-2.0.1.tar.gz"